<template>
  <div>
    <div v-if="loading" class="loading fullheight" id="loader">
      <div class="lds-dual-ring"></div>
    </div>

    <div v-if="error" class="error">
      {{ error }}
    </div>

    <div v-if="posts">
            <headerGranaPadano px-0 sm12 xs12 lg12 md12 class="maxwidth"/>
            <topGranaPadano class="maxwidth"/>
  <v-container fill-height grid-list-md class="maxwidth">
    <v-layout row>
      <v-flex sm12 xs12 lg12 md12>
        <main>
          <caroselloAboutAllevamento />
          <!--sezione 2-->
          <section id="section-2"> 
            <intestazione
            immagine="mungitura.png" 
            :titolosezione="$t('Raccolta del latte')" 
            id="2"
            :nsezioni="4"
            :sezionecorrente="2"
            :certificato="true"
            :mappa="true"
            :stepId="$t('Raccolta del latte')"
            :stepDesc="'mungitura_description'"
            :txhash="'0xeb138d7c9853962173f98bcc7e1380117a98c665bc14749a2f78379ad52ec123'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:08:54 PM +UTC'"
            :sottotitolo="'Mungitura'"
            />
            <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('mungitura_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="200" class="mt-2 text-xs-center"></read-more>
            <v-container class="bg-color" px-2 mt-3 mb-3 v-if="parsed">
              <v-layout row align-left>
                <v-flex sm12 xs12 lg12 md12>
                  <h3 class="mb-2 pb-3 bordobottom text-xs-left">{{ $t('contribuzione_al_lotto_title') }}</h3>
              </v-flex>
              </v-layout>
              <v-layout v-for="u in uniqueDeliveries" :key="u.batchraw" pb-2 pt-2 row align-center class="bordobottom fontweight">
                <v-flex sm6 xs6 lg6 md6 >
                  24/02/2020
                </v-flex>
                <v-flex sm6 xs6 lg6 md6>
                  <router-link :to="{name:'conferimento', params: { batchraw: u.batchraw }}">
                    <button class="btn-dettagli-about">
                      {{ $t('Vedi_i_dettagli') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
              <!--v-layout v-for="u in uniqueDeliveries" :key="u.batchraw" pb-2 pt-2 row align-center class="bordobottom fontweight">
                <v-flex sm6 xs6 lg6 md6 >
                  23/02/2020
                </v-flex>
                <v-flex sm6 xs6 lg6 md6>
                  <router-link :to="{name:'conferimento', params: { batchraw: u.batchraw }}">
                    <button class="btn-dettagli-about">
                      {{ $t('Vedi_i_dettagli') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout-->
            </v-container>
          </section>
          <!--sezione 3-->
          <section id="section-3"> 
            <intestazione
            immagine="trasporto-img.png" 
            :titolosezione="$t('Trasporto')" 
            id="2"
            :nsezioni="4"
            :sezionecorrente="2"
            :certificato="true"
            :mappa="true"
            :stepId="$t('Trasporto')"
            :stepDesc="'trasporto_description'"
            :txhash="'0xd8e5ca1e3ed5710dde5681f56be305b5b6d5d94a0d579865829e3216f45583f5'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:10:24 PM +UTC'"
            :sottotitolo="'Arrivo al caseificio'"
            />
            <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('trasporto_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="200" class="mt-2 text-xs-center"></read-more>
            <v-container class="bg-color" px-2 mt-3 mb-3 v-if="parsed">
              <v-layout row align-left>
                <v-flex sm12 xs12 lg12 md12>
                  <h3 class="mb-2 pb-3 bordobottom text-xs-left">{{ $t('contribuzione_al_lotto_title') }}</h3>
              </v-flex>
              </v-layout>
              <v-layout v-for="u in uniqueDeliveries" :key="u.batchraw" pb-2 pt-2 row align-center class="bordobottom fontweight">
                <v-flex sm6 xs6 lg6 md6 >
                  24/02/2020
                </v-flex>
                <v-flex sm6 xs6 lg6 md6>
                  <router-link :to="{name:'stoccaggio', params: { batchraw: u.batchraw }}">
                    <button class="btn-dettagli-about">
                      {{ $t('Scopri il percorso') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout>
              <!--v-layout v-for="u in uniqueDeliveries" :key="u.batchraw" pb-2 pt-2 row align-center class="bordobottom fontweight">
                <v-flex sm6 xs6 lg6 md6 >
                  23/02/2020
                </v-flex>
                <v-flex sm6 xs6 lg6 md6>
                  <router-link :to="{name:'stoccaggio', params: { batchraw: u.batchraw }}">
                    <button class="btn-dettagli-about">
                      {{ $t('Scopri il percorso') }}
                    </button>
                  </router-link>
                </v-flex>
              </v-layout-->
            </v-container>
          </section>
          <caroselloAboutTrasformazione/>
<certificazioni/>
        </main>
      </v-flex>
    </v-layout>
  </v-container>
  <v-container px-0 grid-list-md text-xs-center class="maxwidth">
      <v-layout row wrap px-0 class="maxwidth">
        <v-flex>
          <footerGranaPadano/>
        </v-flex>
      </v-layout>
  </v-container>
  </div>
  </div>
</template>

<script>
import axios from 'axios'
import topGranaPadano from '@/components/top'
import intestazione from '@/components/intestazione'
import carosello from '@/components/carosello'

import headerGranaPadano from '@/components/headerProductLogo'
import footerGranaPadano from '@/components/footer'
import caroselloAbout from '@/components/caroselloAbout'
import caroselloAboutAllevamento from '@/components/caroselloAboutAllevamento'
import caroselloAboutTrasformazione from '@/components/caroselloAboutTrasformazione'

import certificazioni from '@/components/certificazioni'

export default({
  data () {
    return {
      name: 'About',
      errors: [],
      loading: false,
      error: null,
      idVal: this.$store.getters.BATCHID,
      posts: this.$store.getters.BATCHINFO,
      isModalVisible: false,
      parsed: this.$store.getters.PARSEDINFO
    }
  },
  computed: {
    uniqueDeliveries () {
      var list = []
      var keys = []
      let check = {}
      check = this.parsed.deliveries
      for (var del in check) {
        var verify = this.parsed.deliveries[del]
        // console.log(verify)
        var key = verify.batchraw
        // console.log(key)
        if (keys.indexOf(key) === -1) {
          keys.push(key)
          list.push({'batchraw': key, 'end': verify.end})
        }
      }
      return list
    },
    batchMPs: function () {
      var batchMPs = []
      for (var i in this.posts.batchraws) {
        var string = this.posts.batchraws[i]
        var code = string.code
        // console.log(code)
        var batchdate = code.slice(2, 4) + '/' + code.slice(4, 6) + '/' + code.slice(6, 10)
        // console.log(batchdate)
        batchMPs.push({'code': code, 'date': batchdate})
      }
      return batchMPs
    }
  },
  methods: {
    getTransaction: function (value) {
      for (var obj in this.posts.contract.transactions) {
        let oggetto = this.posts.contract.transactions[obj]
        if (oggetto.method === value) {
          return this.posts.contract.transactions[obj]
        }
      }
    },
    onItemChanged (event, currentItem, lastActiveItem) {
      currentItem.class = 'current'
    },
    productParse: function (json) {
      var allfarmerbatches = {}
      var alldeliveries = {}
      for (var key in json.batchraws) {
        var batchraws = json.batchraws[key]
        for (var key2 in batchraws.deliveries) {
          var delivery = batchraws.deliveries[key2]
        // for (var key3 in deliveries) {
            // var delivery = deliveries[key3]
          if (typeof delivery.id !== 'undefined') {
            alldeliveries[delivery.id] = delivery
          }
          for (var key4 in delivery.farmerbatches) {
            var farmerbatch = delivery.farmerbatches[key4]
            if (typeof farmerbatch.id !== 'undefined') {
              allfarmerbatches[farmerbatch.id] = farmerbatch
              allfarmerbatches[farmerbatch.id]['code'] = batchraws.code
                // console.log(allfarmerbatches[farmerbatch.id])
                // console.log(allfarmerbatches[farmerbatch.id]['batchraw_code'])
            }
          }
  //      }
        }
      }
    // console.log(alldeliveries)
    // console.log(allfarmerbatches)
      return {'deliveries': alldeliveries, 'farmerbatches': allfarmerbatches}
    },
    fetchData: function () {
      this.error = this.post = null
      this.loading = true
      if (!this.posts || !this.parsed) {
        //  axios.get('https://cms.GranaPadanospa-blockchain.com/api/productByCode/' + this.idVal)
        axios.get('../../static/9123.json')
        .then(response => {
          // JSON responses are automatically parsed.
          this.$store.dispatch('update_batchinfo', response.data)
          this.posts = response.data
          // console.log(response.data)
          let parseddata
          parseddata = this.productParse(response.data)
          // console.log('parseddata', parseddata)
          this.$store.dispatch('update_delivery_farmer', parseddata)
          this.parsed = parseddata
          this.loading = false
        })
      .catch(e => {
        this.errors.push(e)
        this.loading = false
      })
      } else this.loading = false
    }
  },
  mounted () {
    this.fetchData()
  },
  components: {
    intestazione,
//  certificate,
    carosello,
    footerGranaPadano,
    headerGranaPadano,
    topGranaPadano,
    caroselloAbout,
    caroselloAboutAllevamento,
    caroselloAboutTrasformazione,
    certificazioni
  }
})
</script>

<style>
.bordobottom {
  border-bottom: 2px solid #ffffff;
}
.card {
  background: #fff;
  border-radius: 2px;
  display: inline-block;
  height: 300px;
  margin: 1rem;
  position: relative;
  width: 300px;
}
.card-1 {
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}
.card-1:hover {
  box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
.card-2 {
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}
.card-3 {
  box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
}
.card-4 {
  box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
.card-5 {
  box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);
}
nav {
  white-space: nowrap;
  margin-top: 5%

}
nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  top: 50%
}
/* Only stick if you can fit */
@media (min-height: 300px) {
  nav ul {
    position: sticky;
    top: 20%
  }
}
nav ul li a {
  display: block;
  padding: 0.5rem 1rem;
  color: white;
  text-decoration: none;
}
nav ul li a {
  opacity: 0.5;
}
.is-active {
  opacity: 1;
}

.titolosezione{
  text-transform: uppercase;
  letter-spacing: 2px;
  margin: 2% auto;
  font-size: 1.2rem;
}
.img-intestazione{
  border-radius: 20px 0px 0px 20px;
  width: 100%;
  margin-right: -30%;
  }
.img-tavola{
  border-radius: 20px 0px 0px 20px;
  width: 100%;
}
.v-card__text{
  padding: 0px!important;
}

.noshadow{
      -webkit-box-shadow: none!important;
    box-shadow: none!important;
}
.px-0{
padding:0!important;
}
.btn-dettagli-about {
  margin-top: 0px!important;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
  float: right;
  margin-right: 5%;
}
.nopaddingright{
  padding-right: 0px!important;
  display:grid;
}
.bg-color{
  background-color: #ffffd7;
}
.nowrap{
  white-space: nowrap;
}
.fontweight{
  font-weight: 600;
}

</style>

